PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
spa_hook Struct Reference
SPA » Utilities » Hooks

A hook, contains the structure with functions and the data passed to the functions. More...

`#include <spa/utils/hook.h>`

## Data Fields
struct spa_list | link
struct spa_callbacks | cb
void(* | removed )(struct spa_hook *hook)
| callback and data for the hook list, private to the hook_list implementor
void * | priv

## Detailed Description

A hook, contains the structure with functions and the data passed to the functions.

A hook should be treated as opaque by the caller.

Examples
  bluez-session.c, export-sink.c, export-source.c, export-spa-device.c, export-spa.c, gmain.c, local-v4l2.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, spa/examples/local-videotestsrc.c, tutorial2.c, tutorial3.c, tutorial6.c, video-dsp-play.c, video-dsp-src.c, video-play-pull.c, video-play-reneg.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## ◆ link

struct spa_list spa_hook::link

## ◆ cb

struct spa_callbacks spa_hook::cb

## ◆ removed

void(* spa_hook::removed) (struct spa_hook *hook)

callback and data for the hook list, private to the hook_list implementor

## ◆ priv

void* spa_hook::priv

The documentation for this struct was generated from the following file:

- spa/utils/hook.h